#!/usr/bin/make -f
# -*- makefile -*-

DESTDIR=$(CURDIR)/debian/tmp
MODULE_NAME=jsonm
include /usr/share/ocaml/ocamlvars.mk
OCAMLFIND_DESTDIR=$(DESTDIR)/$(OCAML_STDLIB_DIR)/$(MODULE_NAME)
export OCAMLFIND_DESTDIR

TARGETS=$(MODULE_NAME).cmi $(MODULE_NAME).cma
ifeq ($(OCAML_BEST),opt)
TARGETS+=$(MODULE_NAME).a $(MODULE_NAME).cmx $(MODULE_NAME).cmxa
ifeq ($(OCAML_NATDYNLINK),yes)
TARGETS+=$(MODULE_NAME).cmxs
endif
endif

TO_INSTALL=$(addprefix _build/src/,$(TARGETS)) pkg/META src/$(MODULE_NAME).mli

%:
	dh $@ --with ocaml

.PHONY: override_dh_auto_configure
override_dh_auto_configure:

.PHONY: override_dh_auto_build
override_dh_auto_build:
	ocamlbuild -classic-display -use-ocamlfind $(TARGETS)

.PHONY: override_dh_auto_test
override_dh_auto_test:

.PHONY: override_dh_auto_install
override_dh_auto_install:
	mkdir -p '$(OCAMLFIND_DESTDIR)'
	cp $(TO_INSTALL) '$(OCAMLFIND_DESTDIR)'

.PHONY: override_dh_install
override_dh_install:
	dh_install --fail-missing

.PHONY: override_dh_auto_clean
override_dh_auto_clean:
	ocamlbuild -classic-display -clean
